Assert (Ant Contrib)
Keywords: net.sf.antcontrib.logic.Assert,Assert class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic
Class Assert

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--net.sf.antcontrib.logic.Assert

All Implemented Interfaces:
  org.apache.tools.ant.TaskContainer

public class Assert
extends org.apache.tools.ant.Task
implements org.apache.tools.ant.TaskContainer

Based on the Sequential task. Similar to Java's 'assert' keyword, verifies that a given property has a given value. Throws a BuildException if the property value is not as expected or the property does not exist.

Also like Java's 'assert' keyword, the Assert task must be 'turned on' using the property "ant.enable.asserts". If not set, or is set to false, the Assert task works exactly like the Sequential task.

Can hold other tasks including Assert. Attributes:

- name - the name of a property. Required.
- exists - boolean, if true, throws BuildException if the property does not exist. Optional, default is true.
- value - the expected value of a property. Implies 'exists'. Throws BuildException if the actual value is not the same as this value. Optional.
- execute - boolean, if true, execute any contained tasks. Optional, default is true. Can also be set globally by setting the value of "assert.execute" to true or false. The local setting overrides the global setting.

The assert task supports a single nested BooleanCondition task, otherwise, the assert task does not support any nested elements apart from Ant tasks. Any valid Ant task may be embedded within the assert task.

Developed for use with Antelope, migrated to ant-contrib Oct 2003.

Since:
  Ant 1.5
Version:
  $Revision: 1.2 $
Author:
  Dale Anson, danson@germane-software.com

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Assert()`

Method Summary
`void` | `addBool(BooleanConditionTask boolTask)`
`void` | `addTask(org.apache.tools.ant.Task task)` Add a nested task to execute.
`void` | `execute()` Execute this task and all nested Tasks.
`static void` | `main(java.lang.String[] args)`
`void` | `maybeConfigure()` Override `maybeConfigure` in a way that leaves the nested tasks unconfigured until they get executed.
`static int` | `runTests()`
`void` | `setExecute(java.lang.String execute)` Ant boolean, if true, execute any contained tasks.
`void` | `setExists(java.lang.String exists)` Set the 'exists' attribute.
`void` | `setFailonerror(java.lang.String fail)` Ant boolean, stop the build process if the assertion fails.
`void` | `setMessage(java.lang.String msg)`
`void` | `setName(java.lang.String name)` Set the name of the property to test.
`void` | `setValue(java.lang.String value)` Set the expected value of the property.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assert

    public Assert()

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name of the property to test. Required.

  Parameters:
    `name` - the name of the property to test.

### setValue

    public void setValue(java.lang.String value)

  Set the expected value of the property. Implies 'exists'. Throws BuildException if the actual value is not the same as this value. Optional.

  Parameters:
    `value` - the expected value of the property.

### setMessage

    public void setMessage(java.lang.String msg)

### setExists

    public void setExists(java.lang.String exists)

  Set the 'exists' attribute. If true, throws BuildException if the property does not exist. Optional, default is true.

  Parameters:
    `exists` - Ant boolean, whether the value must exist.

### setExecute

    public void setExecute(java.lang.String execute)

  Ant boolean, if true, execute any contained tasks. Optional, default is true. Can also be set globally by setting the value of "assert.execute" to true or false. The local setting overrides the global setting.

  Parameters:
    `execute` - Ant boolean, whether to execute contained tasks.

### setFailonerror

    public void setFailonerror(java.lang.String fail)

  Ant boolean, stop the build process if the assertion fails. Defaults to true. Setting this to false is contrary to the intented use of assertions, but may be useful in certain situations.

  Parameters:
    `fail` - Ant boolean, whether to stop the build on assertion error.

### maybeConfigure

    public void maybeConfigure()
                        throws org.apache.tools.ant.BuildException

  Override `maybeConfigure` in a way that leaves the nested tasks unconfigured until they get executed.

  Overrides:
    `maybeConfigure` in class `org.apache.tools.ant.Task`
    `org.apache.tools.ant.BuildException`
  Since:
    Ant 1.5

### addTask

    public void addTask(org.apache.tools.ant.Task task)

  Add a nested task to execute.

  Specified by:
    `addTask` in interface `org.apache.tools.ant.TaskContainer`
  Parameters:
    `task` - Nested task to execute.

### addBool

    public void addBool(BooleanConditionTask boolTask)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute this task and all nested Tasks.

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
    `org.apache.tools.ant.BuildException`

### runTests

    public static int runTests()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD